import NodeTableComponent, {
  DataTemplateInterface,
} from "../NodeTableComponent/NodeTableComponent";

export default function NTHeader() {
  // TODO: 这里要分64位和32位，最好让后端返回
  const dataTemplate: DataTemplateInterface = {
    signature: {
      name: "Signature",
      offset: 0,
      size: 4,
      value: 0,
      data_type: "hex",
    },
  };
  const command = "command_get_pe_data_nt_header";
  const columns = [
    {
      title: "字段名",
      dataIndex: "name",
      key: "name",
    },
    {
      title: "偏移",
      dataIndex: "offset",
      key: "offset",
      hexSwitch: true,
    },
    {
      title: "大小",
      dataIndex: "size",
      key: "size",
    },
    {
      title: "值",
      dataIndex: "value",
      key: "value",
      hexSwitch: true,
      editable: true,
    },
    {
      title: "描述信息",
      dataIndex: "description",
      key: "description",
    },
  ];
  return (
    <NodeTableComponent
      dataTemplate={dataTemplate}
      command={command}
      columns={columns as any}
    ></NodeTableComponent>
  );
}
